import { BaseModel, column } from '@adonisjs/lucid/orm'
import { DateTime } from 'luxon'

export default class AuditLog extends BaseModel {
  // Especifica o nome da tabela no banco de dados
  static table = 'logs'
  @column({ isPrimary: true })
  declare id: number

  @column()
  declare user_id: number

  @column()
  declare nome: string

  @column()
  declare acao: string

  @column()
  declare modulo: string

  @column()
  declare ip: string

  @column()
  declare descricao: string

  @column()
  declare resultado: string

  @column()
  declare detalhes: string

  @column.dateTime({ autoCreate: true })
  declare created_at: DateTime

  @column.dateTime({ autoCreate: true, autoUpdate: true })
  declare updated_at: DateTime
}
